Add to Wishlist Add to Compare Liebherr CNsfd 5703 60cm freestanding refrigerator-freezer with SteelFinish CNsfd 5703 Price €937.80 Regular price €1,157.78 -19% Available: Available on order
Add to Wishlist Add to Compare Liebherr CBNa 572i 60cm freestanding refrigerator-freezer in white CBNa 572i Price €1,580.13 Regular price €1,950.78 -19% Available: Available on order
Add to Wishlist Add to Compare Liebherr CBNsda 575i freestanding refrigerator-freezer, 60cm, stainless steel finish CBNsda 575i Price €2,597.98 Regular price €3,207.38 -19% Available: Available on order
Add to Wishlist Add to Compare Liebherr CBNc 5223 60cm freestanding fridge-freezer in white CBNc 5223 Price €1,184.85 Regular price €1,462.78 -19% Available: Available on order
Add to Wishlist Add to Compare Hisense: RB435N4BCE 60cm freestanding fridge-freezer in grey finish RB435N4BCE Price €599.00 Available: Prompt delivery
Add to Wishlist Add to Compare Smeg FAB32RBLM6 60cm freestanding right-hinged fridge freezer in matt black finish FAB32RBLM6 Price €2,536.62 Regular price €3,170.78 -20% Available: Available on order
Add to Wishlist Add to Compare Smeg FAB32RMLM6 60cm freestanding right-hinged fridge freezer in moonlight finish FAB32RMLM6 Price €2,536.62 Regular price €3,170.78 -20% Available: Available on order
Add to Wishlist Add to Compare Smeg FAB32RSBM6 60cm freestanding right-hinged fridge freezer in storm blue finish FAB32RSBM6 Price €2,536.62 Regular price €3,170.78 -20% Available: Available on order
Add to Wishlist Add to Compare Smeg FAB32RACM6 60cm freestanding right-hinged fridge freezer in amber clay finish FAB32RACM6 Price €2,536.62 Regular price €3,170.78 -20% Available: Available on order
Add to Wishlist Add to Compare Smeg FAB32REGM6 60cm Freestanding Right-Hinged Refrigerator in Emerald Green FAB32REGM6 Price €2,536.62 Regular price €3,170.78 -20% Available: Available on order
Add to Wishlist Add to Compare Smeg FAB32RWHM6 60cm freestanding right-hinged fridge freezer in a matt white finish FAB32RWHM6 Price €2,536.62 Regular price €3,170.78 -20% Available: Available on order
Add to Wishlist Add to Compare Asko RFC 526 RNBB1 - Logic 60cm freestanding fridge-freezer with black steel finish RFC526RNBB1 Price €1,899.00 Regular price €2,316.78 -18.03% Available: Available on order
Add to Wishlist Add to Compare Asko RFC 526 RNBS1 - Logic 60cm freestanding refrigerator-freezer with stainless steel finish RFC526RNBS1 Price €1,799.00 Regular price €2,194.78 -18.03% Available: Prompt delivery
Add to Wishlist Add to Compare Asko RFC 226 RNBB1 freestanding fridge-freezer, 60 cm, classic black steel finish RFC226RNBB1 Price €1,399.00 Regular price €1,706.78 -18.03% Available: Prompt delivery
Add to Wishlist Add to Compare Asko RFC 226 RNBS1 freestanding fridge-freezer with a 60cm stainless steel finish RFC226RNBS1 Price €1,199.00 Regular price €1,462.78 -18.03% Available: Prompt delivery
Add to Wishlist Add to Compare Asko RFC 586 KNBB1 - Logic 60cm freestanding fridge-freezer with black steel finish RFC586KNBB1 Price €1,649.00 Regular price €2,011.78 -18.03% Available: Prompt delivery
Add to Wishlist Add to Compare Asko RFC 586 KNBS1 - Logic 60cm freestanding refrigerator-freezer in stainless steel finish RFC586KNBS1 Price €1,549.00 Regular price €1,889.78 -18.03% Available: Prompt delivery
Add to Wishlist Add to Compare Asko RFC 286 KNBS1 freestanding refrigerator-freezer with 60cm stainless steel finish RFC286KNBS1 Price €1,199.00 Regular price €1,462.78 -18.03% Available: Prompt delivery
Add to Wishlist Add to Compare Asko RFC 286 KNBW1 freestanding fridge-freezer, 60cm, Classic white finish RFC286KNBW1 Price €1,099.00 Regular price €1,340.78 -18.03% Available: Prompt delivery
Add to Wishlist Add to Compare Bosch KGN39VIEB 60cm Freestanding Stainless Steel Refrigerator KGN39VIEB Price €951.48 Regular price €1,359.26 -30% Available: Prompt delivery
Add to Wishlist Add to Compare Smeg S FA3905RX6 70cm freestanding fridge-freezer in stainless steel finish FA3905RX6 Price €3,384.59 Regular price €4,512.78 -25% Available: Available on order
Add to Wishlist Add to Compare Smeg S FA3905LX6 70cm freestanding fridge-freezer in stainless steel finish FA3905LX6 Price €3,384.59 Regular price €4,512.78 -25% Available: Available on order
Add to Wishlist Add to Compare Electrolux | ENG8MD18S 54cm built-in fridge-freezer ENG8MD18S Price €1,037.00 Available: Prompt delivery
Add to Wishlist Add to Compare Electrolux | KNA6DE18S 54cm built-in fridge-freezer KNA6DE18S Price €584.69 Available: Prompt delivery